Skip to main content
GET
/
test_framework
/
v1
/
scenarios
/
folders
cURL
curl --request GET \
  --url https://api.cekura.ai/test_framework/v1/scenarios/folders/ \
  --header 'X-CEKURA-API-KEY: <api-key>'
{
  "count": 123,
  "next": "https://api.cekura.ai/example/v1/example-external/?page=4",
  "previous": "https://api.cekura.ai/example/v1/example-external/?page=3",
  "results": [
    {
      "name": "<string>",
      "path": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

X-CEKURA-API-KEY
string
header
required

API Key Authentication. It should be included in the header of each request.

Query Parameters

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

project_id
integer
required

Project ID to list folders for

parent_path
string

Parent folder path to get direct children only. Example: "Sales.Inbound"

Response

200 - application/json
count
integer
Example:

123

next
string<uri> | null
Example:

"https://api.cekura.ai/example/v1/example-external/?page=4"

previous
string<uri> | null
Example:

"https://api.cekura.ai/example/v1/example-external/?page=3"

results
object[]